Download it now!
Bug 54918 - EDITING: inconsistent word count in dialogue and status line
Summary: EDITING: inconsistent word count in dialogue and status line
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Word-Count
  Show dependency treegraph
 
Reported: 2012-09-14 12:42 UTC by Stephan Hennig
Modified: 2016-10-24 21:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Hennig 2012-09-14 12:42:25 UTC
This is a successor to bug 53399 (a MAB for LibO 3.6), tracking a "not-so-most-annoying" remaining technical glitch.  Bug 53399 has been closed.

Recipe:

1. Create a new text document.

2. Type-in the words:

     This is a test sentence.

3. Open the word count dialogue.

   Word count in both, dialogue and status line, shows 5 words.

4. Select the space between 'a' and 'test'.

5. Replace selection by a non-breaking space by pressing Shift+Ctrl+Space.  Don't move the cursor.

   Word count in dialogue shows 4 words, wheras in the status line it shows 5 words.

6. Move the cursor by pressing Left.

   Word count in both, dialogue and status line, shows 5 words.


Tested with LibO 3.6.2.1 (Build ID: ba822cc) on Windows 7 x64.
Comment 1 Arnaud Versini 2012-10-28 10:34:18 UTC
Confirmed on LibreOffice 3.6.2.2 on Ubuntu in fr_FR.
Comment 2 ign_christian 2013-06-15 03:11:56 UTC
I can confirm it's not reproducible on LO 4.0.4.2 (Win7 32bit). Perhaps it's been fixed.